
%global base_name  codec
%global short_name commons-%{base_name}

Name:           apache-%{short_name}
Version:        1.7
Release:        2%{?dist}
Summary:        Apache Commons Codec
License:        ASL 2.0
Group:          Development/Libraries
URL:            http://commons.apache.org/%{base_name}
Source0:        http://www.apache.org/dist/commons/%{base_name}/binaries/%{short_name}-%{version}-bin.tar.gz

Provides:       %{name} = %{epoch}:%{version}-%{release}
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Codec was formed as an attempt to focus development effort on one definitive
implementation of the Base64 encoder. At the time of Codec's proposal, 
there were approximately 34 different Java classes that dealt with Base64
encoding spread over the Foundation's CVS repository. Developers in the Jakarta Tomcat
project had implemented an original version of the Base64 codec which had been
copied by the Commons HttpClient and Apache XML project's XML-RPC subproject. 
After almost one year, the two forked versions of Base64 had significantly 
diverged from one another. XML-RPC had applied numerous fixes and patches 
which were not applied to the Commons HttpClient Base64. 
Different subprojects had differing implementations at various 
levels of compliance with the RFC 2045

%prep
%setup -q -n %{short_name}-%{version}

%build
true

%install
rm -rf $RPM_BUILD_ROOT

# remove docs and sources
rm commons-codec-1.7-javadoc.jar commons-codec-1.7-sources.jar commons-codec-1.7-test-sources.jar

# jars
install -d -m 0755 $RPM_BUILD_ROOT%{_javadir}
install -m 0644 *.jar $RPM_BUILD_ROOT%{_javadir}/
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in commons*-%{version}.jar; do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done)
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in commons*-%{version}-tests.jar; do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done)
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in commons*.jar; do ln -sf ${jar} "apache-${jar}"; done)

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0644,root,root,0755)
%doc LICENSE.txt RELEASE-NOTES.txt NOTICE.txt
%{_javadir}/%{name}-%{version}.jar
%{_javadir}/%{name}.jar
%{_javadir}/%{name}-tests.jar
%{_javadir}/%{name}-%{version}-tests.jar
%{_javadir}/%{short_name}-%{version}.jar
%{_javadir}/%{short_name}-%{version}-tests.jar
%{_javadir}/%{short_name}.jar
%{_javadir}/%{short_name}-tests.jar


%changelog
* Fri Dec 07 2012 Martin Bačovský <mbacovsk@redhat.com> 1.7-2
- added apache-commons-codec to the SAM 1.2 repo

